
Infrastructure - Bug #1379

dev-dryad-mn is failing to return data objects

2011-02-21 16:59 - Dave Vieglais

Status: Closed Start date: 2011-02-21

Priority: High Due date: 2011-02-21

Assignee: Roger Dahl % Done: 100%

Category: mn.Dryad Estimated time: 0.00 hour

Target version: Sprint-2011.07   

Milestone:  Story Points:  

Product Version: *   

Description

dev-dryad-mn appears to be having problems passing through the data streams from Dryad. For example, the following returns a

status of "200" even though no data bytes are returned.

It looks like the response body contains the URL of the data source, not the data itself.

curl -v "http://dev-dryad-mn.dataone.org/mn/object/hdl:10255%2Fdryad.26%2Fmets.xml_data"

* About to connect() to dev-dryad-mn.dataone.org port 80 (#0)

*   Trying 129.24.0.11... connected

* Connected to dev-dryad-mn.dataone.org (129.24.0.11) port 80 (#0)

GET /mn/object/hdl:10255%2Fdryad.26%2Fmets.xml_data HTTP/1.1

User-Agent: curl/7.19.7 (universal-apple-darwin10.0) libcurl/7.19.7 OpenSSL/0.9.8l zlib/1.2.3

Host: dev-dryad-mn.dataone.org

Accept: /

< HTTP/1.1 200 OK

< Date: Mon, 21 Feb 2011 17:02:01 GMT

< Server: Apache/2.2.14 (Ubuntu)

< Vary: Cookie

< Content-Length: 88611

< Content-Type: application/octet-stream

<

* transfer closed with 88538 bytes remaining to read

* Closing connection #0

curl: (18) transfer closed with 88538 bytes remaining to read

http://datadryad.org/bitstream/handle/10255/dryad.26/r2095.nex?sequence=1

History

#1 - 2011-02-21 17:17 - Dave Vieglais

- Target version set to Sprint-2011.07

- Position set to 7

#2 - 2011-03-01 16:20 - Dave Vieglais

- Status changed from New to Closed

#3 - 2013-01-02 15:47 - Dave Vieglais

- Due date set to 2011-02-21

- Category changed from 299 to mn.Dryad

- translation missing: en.field_remaining_hours set to 0.0
